"""Demonstrate general approach to finding the lowest value in an input file of values."""

from sys import maxsize

MAX_INT_VALUE = maxsize


def main():
    line_count = 0
    lowest_entry_so_far = MAX_INT_VALUE

    data_directory_name = 'data'
    input_file_name = input('Please enter the name of the input file: ')
    infile_path_and_filename = f'{data_directory_name}/{input_file_name}'
    infile = open(infile_path_and_filename, 'r')

    for line in infile:
        line_count += 1
        entry = int(line)
        if entry < lowest_entry_so_far:
            lowest_entry_so_far = entry

    if line_count == 0:
        print('\nThe input file was empty.')
    else:
        print(f'\nThere are {line_count} entries in the input list.')
        print(f'The lowest value is {lowest_entry_so_far}.')


main()
